#
# Copyright 2011 Matthew Brush <mbrush(at)codebrainz(dot)ca>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.
#

[theme_info]
name=Retro
description=Inspired by old green screen terminals.
# incremented automatically, do not change manually
version=6
author=Matthew Brush
url=
# list of each compatible Geany release version
compat=1.22;1.23;1.23.1;1.24

[named_styles]

default=#aaa;#000;false;false
error=#800

selection=#000;#050;true;true
current_line=;;false
brace_good=default
brace_bad=default,bold
margin_line_number=default
margin_folding=default
fold_symbol_highlight=#000
indent_guide=default
caret=#080;#000;true;true
marker_line=default,italic
marker_search=;#000
marker_mark=#0c0;#000
fold_symbol_highlight=#000
call_tips=#000;#0c0;true;true
white_space=#104e10;;true

# Programming languages
#-------------------------------------------------------------------------------

comment=#67e667
comment_doc=comment
comment_line=comment
comment_line_doc=comment_doc
comment_doc_keyword=comment_doc,bold
comment_doc_keyword_error=comment_doc,italic

number=#39e639
number_1=number
number_2=number_1

type=#0c0;;true
class=type
function=default
parameter=function

keyword=#008500;;true
keyword_1=keyword
keyword_2=keyword_1
keyword_3=keyword_1
keyword_4=keyword_1

identifier=default
identifier_1=identifier
identifier_2=identifier_1
identifier_3=identifier_1
identifier_4=identifier_1

string=#269926;;true
string_1=string
string_2=string_1
string_3=default
string_4=default
string_eol=string_1,italic
character=string_1
backticks=string_2
here_doc=string_2

scalar=string_2
label=default,bold
preprocessor=default
regex=number_1
operator=default
decorator=string_1,bold
other=default

# Markup-type languages
#-------------------------------------------------------------------------------

tag=#0c0
tag_unknown=tag,bold
tag_end=tag,bold
attribute=#0c0;;true
attribute_unknown=attribute,bold
value=string_1
entity=default

# Diff
#-------------------------------------------------------------------------------

line_added=#0c0
line_removed=#c00
line_changed=#00c
